<h1>SRP</h1>
<input [(ngModel)]="selectedCategory" placeholder="Enter keyword">
<button (click)="filterByCategory(selectedCategory)">Filter</button>

<ul>
  <li *ngFor="let product of products">{{ product }}</li>
</ul>
